Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

How can I add a delicious add on to firefox version 4? When I try to install add on it states that version 4 is not compatible.

more options

I'm am trying to add a delicious add on to firefox version 4. Add on will not install. Error message states that version 4 is not compatible.

All Replies (7)

more options

There is a fix which I found at this url: http://forums.macresource.com/read.php?1,1125540,1125571 It links to another site so I've copied the quote from that site:

   From the menus select Help > Troubleshooting information
   On this new tab, near the top, you’ll see a field called Profile Directory. Click the button in the field to launch Finder (File Explorer for Windows).
   In the window which has popped up navigate to the extensions folder. Inside that should be another folder named “{2fa4ed95-0317-4c6a-a74c-5f3e3912c1f9}”. Inside this is a file called install.rdf
   Open install.rdf in any plain text editor.
   Around line 8 you should see some XML which looks like this: em:maxVersion="4.0b3pre" />
   Update this to em:maxVersion="4.0" /> (See we removed the b3pre bit?)
   Save the file and restart Firefox.
   Boom. The delicious extension will now work.
more options

thanks!!!I was crazy to make it work...

more options

Thanks for this quick fix!! I was ready to find a new browser before giving up the easiest, most efficient bookmarking tool I've ever used. Hopefully, any one else using delicious bookmarks (del.icio.us) on Firefox will find this site too!

more options

thanks. this works. one more tip - while you're doing it, change em:maxVersion="4.0" to "5.0" - it might save having to redo it next time!

more options

WARNING: there is a compatibility issue with FF 4.0 and the awesome bar integration of this extension, if enabled ALL ADDRESSES disappear from result list!

Here a screenshot: http://i51.tinypic.com/2anqqq.png

So, in the Preferences of the Delicious extension, you should disable the "Awesome Bar Integration".

Hoping that someone fix this issue...

more options

Thanks for info, l followed the steps and made changes as you suggested but it has not fixed this problem. Can you suggest anything else?

more options

You need to set that to 4.0.* so that it is compatible with all 4.0.# versions. 4.0 limits it to only the 4.0 version.